#include <iostream>
#include <cmath> 
using namespace std;

int main () {
  short int n, seat, carriage, max_subs, curr_subs; 
  const short int number_of_carriages = 9;
  short int carriages_left[number_of_carriages + 1] = {0}, 
            carriages_right[number_of_carriages + 1] = {0};
  cin >> n;
  
  for (int i = 0; i < n; i++) {
    cin >> seat;
    if (seat <= 36) {
      carriage = (seat + 3) / 4;
      carriages_left[carriage] += 1;
    } else {
      carriage = (54 - seat) / 2 + 1;
      carriages_right[carriage] += 1;
    }
  }
  
  for (int i = 1; i <= number_of_carriages; i++) {
    if (carriages_left[i] == 4 && carriages_right[i] == 2) {
      curr_subs += 1;
    } else {
      max_subs = fmax(curr_subs, max_subs);
      curr_subs = 0;
    }
  }
  
  max_subs = fmax(curr_subs, max_subs);
  
  cout << max_subs;
}